Terminal Usage
curl --request GET \
--url https://nini.monieswitch.com/branch/terminal/usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/branch/terminal/usage"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/branch/terminal/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"page": 1,
"size": 50,
"totalRecords": 1,
"totalPages": 1,
"usages": [
{
"id": "26931fb4-80f4-4e4a-b929-5bec2f130436",
"createdAt": "2025-01-08T13:09:05.093Z",
"store": {
"id": "9ab67f41-10c9-4f52-adfc-31f460980966",
"name": "Lambe Shop",
"code": "Store 3",
"createdAt": "2024-12-27T14:36:09.463Z"
},
"terminal": {
"id": "00319ac9-ab60-48be-9604-fc62004b0f55",
"name": "Lambe 01",
"code": "Terminal 1",
"createdAt": "2024-12-27T14:38:18.534Z"
},
"agent": {
"id": "5231edc7-95be-4913-8102-32400fe8b45b",
"firstName": "Janet",
"lastName": "Richard",
"createdAt": "2025-01-08T13:02:01.549Z"
}
}
]
}
}Branches
Terminal Usage
GET
/
branch
/
terminal
/
usage
Terminal Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
⌘I